package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapThtAnamnesisTenggorokan;
import com.jasamedika.medifirst2000.vo.PapThtAnamnesisTenggorokanVO;

/**
 * Converter class between PAPThtAnamnesisTenggorokan and PAPThtAnamnesisTenggorokanVO
 * 
 * @author Askur
 */
@Component
public class PapThtAnamnesisTenggorokanConverter implements BaseVoConverter<PapThtAnamnesisTenggorokanVO, PapThtAnamnesisTenggorokan> {
	

	public PapThtAnamnesisTenggorokan transferVOToModel(PapThtAnamnesisTenggorokanVO vo, PapThtAnamnesisTenggorokan model) {
		if (null == model)
			model = new PapThtAnamnesisTenggorokan();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapThtAnamnesisTenggorokan.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapThtAnamnesisTenggorokanVO> transferListOfModelToListOfVO(List<PapThtAnamnesisTenggorokan> models,
			List<PapThtAnamnesisTenggorokanVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapThtAnamnesisTenggorokanVO>();

		if (null == models)
			return vos;

		for (PapThtAnamnesisTenggorokan PapThtAnamnesisTenggorokan : models) {
			PapThtAnamnesisTenggorokanVO vo = new PapThtAnamnesisTenggorokanVO();
			vo = transferModelToVO(PapThtAnamnesisTenggorokan, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapThtAnamnesisTenggorokanVO transferModelToVO(PapThtAnamnesisTenggorokan model, PapThtAnamnesisTenggorokanVO vo) {

		if (null == vo)
			vo = new PapThtAnamnesisTenggorokanVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapThtAnamnesisTenggorokanVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
